#include <stdlib.h>
#include <stdio.h>

struct Point3f
{
	float x, y, z;
};

struct Face
{
	int vertexIndices[3];
	Point3f normals;
};

struct Object3D
{
	int nVertices;
	Point3f *pVertices;			
	int nFaces;
	Face *pFaces;						
};


void LoadObject(FILE *fin, Object3D& object);
void LoadScene(char *filename, Object3D& object);


